.\" Copyright (c) 1986, 1987, University of Utah
.TH RGB_TO_BW 3 2/2/87 3
.UC 4 
.SH NAME
rgb_to_bw \- convert a color scanline to black and white.
.SH SYNOPSIS
.B
#include <rle.h>
.sp
.B
void rgb_to_bw( red, green, blue, bw, length );
.br
.B
rle_pixel * red, * green, * blue, *bw;
.br
.B
int length;
.SH DESCRIPTION
.I rgb_to_bw
converts red/green/blue color information to black and white using the 
.I NTSC Y
transform:
.br
.in .5i
.I
Y = 0.30 * R + 0.59 * G + 0.11 * B
\& .
The arguments point to scanlines with
.I length
bytes in each.
.I bw
may be identical to one of
.IR red ,
.IR green ,
or
.IR blue .
.SH SEE ALSO
.IR tobw (1),
.IR librle (3),
.IR RLE (5).
.SH AUTHOR
Spencer W. Thomas
.br
University of Utah
